#!/usr/bin/env python
import os
from distutils.core import setup

__version__ = "1.0"

PREFIX = "static/pkg/silk-companion1/"

def get_files():
    r = ["static/pkg/silk-companion1/icons.css"]
    css = ["/* Silk Companion1 set */"]
    for f in os.listdir(PREFIX):
        if f.endswith(".png"):
            r += [os.path.join(PREFIX, f)]
            css += [
                ".icon_%s {" % f[:-4],
                "    background-image: url(/static/pkg/silk-companion1/%s) !important;" % f,
                "}",
                ""
            ]
    # Write CSS file
    f = open("static/pkg/silk-companion1/icons.css", "w")
    f.write("\n".join(css))
    f.close()
    return r

setup(
    name="noc-pkg-silk-companion1",
    version=__version__,
    description="Silk Companion1 icon set for NOC",
    url="http://damieng.com/creative/icons/silk-companion-1-icons",
    maintainer="nocproject.org",
    maintainer_email="pkg@nocproject.org",
    data_files=[
        ("static/pkg/silk-companion1", get_files())
    ]
)
